"""empty message

Revision ID: 3c016c1bf084
Revises: 90a10f88e6c5
Create Date: 2021-02-19 23:42:03.486519

"""
from alembic import op
import sqlalchemy as sa
from sqlalchemy.dialects import mysql

# revision identifiers, used by Alembic.
revision = '3c016c1bf084'
down_revision = '90a10f88e6c5'
branch_labels = None
depends_on = None


def upgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.drop_constraint('subscriptions_ibfk_1', 'subscriptions', type_='foreignkey')
    op.drop_column('subscriptions', 'user_id')
    # ### end Alembic commands ###


def downgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.add_column('subscriptions', sa.Column('user_id', mysql.INTEGER(), autoincrement=False, nullable=True))
    op.create_foreign_key('subscriptions_ibfk_1', 'subscriptions', 'users', ['user_id'], ['id'])
    # ### end Alembic commands ###
